
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelN5BulkExporter;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.presentation.ergebnis.exchange.NlWasModelN5BulkExportDescription;

public class NlWasModelN5BulkExportMenuItemEntry extends AbstractNlWasErgebnisArtefaktNachGebietErgebniseingabestatusBulkExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasModelN5BulkExportDescription nlWasModelN5BulkExportDescription;

  public NlWasModelN5BulkExportMenuItemEntry() {
    super();
  }

  @Override
  protected Collection<Ergebniseingabestatus> getGebietErgebniseingabestatus() {
    return NlWasModelN5BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }

  @Override
  protected NlWasModelN5BulkExportDescription getExportDescription() {
    return nlWasModelN5BulkExportDescription;
  }
}
